Generation Framework

## org.eclipse.gmf.mappings
Interface MenuOwner

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  LinkMapping, NodeMapping

All Known Implementing Classes:
  LinkMappingImpl, NodeMappingImpl

    public interface MenuOwner

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Menu Owner'.

The following features are supported:

- `Context Menu`

See Also:
  `GMFMapPackage.getMenuOwner()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`ContextMenu` `getContextMenu()` Returns the value of the 'Context Menu' reference
`void` `setContextMenu(ContextMenu value)` Sets the value of the '`Context Menu`' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getContextMenu

    ContextMenu getContextMenu()

  Returns the value of the 'Context Menu' reference.

  If the meaning of the 'Context Menu' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Context Menu' reference.
  See Also:
    `setContextMenu(ContextMenu)`, `GMFMapPackage.getMenuOwner_ContextMenu()`
  ** Generated **
  Model:

### setContextMenu

    void setContextMenu(ContextMenu value)

  Sets the value of the '`Context Menu`' reference.

  Parameters:
    `value` - the new value of the 'Context Menu' reference.
  See Also:
    `getContextMenu()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.